# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: a_v_sep0
    category: QSL\AgeVerification
    type: separator
    orderby: 9
    translations: [{code: en, option_name: 'Text Settings'}]
    module: QSL\AgeVerification
  - name: a_v_title
    category: QSL\AgeVerification
    type: XLite\View\FormField\Input\Text
    orderby: 10
    value: 'Age verification'
    translations: [{code: en, option_name: Title}]
    module: QSL\AgeVerification
  - name: a_v_description
    category: QSL\AgeVerification
    type: XLite\View\FormField\Textarea\Simple
    orderby: 20
    value: 'The content of our website is for the visitors of age only!'
    translations: [{code: en, option_name: Description}]
    module: QSL\AgeVerification
  - name: a_v_d_message
    category: QSL\AgeVerification
    type: XLite\View\FormField\Textarea\Simple
    orderby: 50
    value: 'Sorry, you are under age to visit our site'
    translations: [{code: en, option_name: 'Deny access message'}]
    module: QSL\AgeVerification
  - name: a_v_url_away
    category: QSL\AgeVerification
    type: XLite\View\FormField\Input\Text
    orderby: 70
    value: 'https://www.google.com'
    translations: [{code: en, option_name: 'Redirect URL'}]
    module: QSL\AgeVerification
  - name: a_v_succ_btn
    category: QSL\AgeVerification
    type: XLite\View\FormField\Input\Text
    orderby: 30
    value: 'I am old enough'
    translations: [{code: en, option_name: 'Allow access button'}]
    module: QSL\AgeVerification
  - name: a_v_fail_btn
    category: QSL\AgeVerification
    type: XLite\View\FormField\Input\Text
    orderby: 40
    value: 'Sadly, I am not'
    translations: [{code: en, option_name: 'Deny access button'}]
    module: QSL\AgeVerification
  - name: a_v_away_btn
    category: QSL\AgeVerification
    type: XLite\View\FormField\Input\Text
    orderby: 60
    value: Leave
    translations: [{code: en, option_name: 'Redirect button'}]
    module: QSL\AgeVerification
  - name: a_v_p_type
    category: QSL\AgeVerification
    type: QSL\AgeVerification\View\FormField\Select\DisplayType
    orderby: 5
    value: 1
    translations: [{code: en, option_name: 'Display mode'}]
    module: QSL\AgeVerification
  - name: a_v_sep2
    category: QSL\AgeVerification
    type: separator
    orderby: 0
    translations: [{code: en, option_name: 'General Settings'}]
    module: QSL\AgeVerification
  - name: a_v_min_age
    category: QSL\AgeVerification
    type: QSL\AgeVerification\View\FormField\Input\Number
    orderby: 6
    value: 18
    widgetParameters: {min: 1, step: 1}
    translations: [{code: en, option_name: 'Minimum age'}]
    module: QSL\AgeVerification
  - name: a_v_p_enabled
    category: QSL\AgeVerification
    type: XLite\View\FormField\Input\Checkbox\YesNo
    orderby: 2
    value: 1
    translations: [{code: en, option_name: 'Enable age verification popup'}]
    module: QSL\AgeVerification
  - name: settings_page_heading
    category: QSL\AgeVerification
    type: hidden
    orderby: 8
    translations: [{code: en, option_name: 'Age Verification Settings'}]
    module: QSL\AgeVerification
XLite\Model\LanguageLabel:
  - name: 'Two buttons'
    translations: [{code: en, label: 'Two buttons'}]
  - name: 'Text verification'
    translations: [{code: en, label: 'Text verification'}]
  - name: 'The two-buttoned popup option will present a customer with an option to choose whether or not they are of the required age by clicking either the button that confirms they are old enough or the other one thusly denying themselves access to the store.'
    translations: [{code: en, label: 'The two-buttoned popup option will present a customer with an option to choose whether or not they are of the required age by clicking either the button that confirms they are old enough or the other one thusly denying themselves access to the store. The text verification type of popup will require them to manually enter their age before they access the content of the site.'}]
